% ANOVA Toolbox
% Version 1.0  20-Dec-2002
%
% The analysis of variance functions included in Matlab's Statistics Toolbox
% tend to do a canned analysis in a streamlined manner.  It doesn't support
% complications such as between- vs. within-subject factors and the like.
% The functions below are by no means a full-fledged ANOVA machine on a
% par with the GLIM command in SPSS, for example. Rather, they can do the
% routine calculations, but the user is still responsible for figuring out
% what the relevant error terms are, how to form the F ratios, etc.
%
% Functions:
%   anova     - SS's, df's, and MS's. You must do the F ratios yourself.
%   sumsq     - sums of squares and degrees of freedom (depends on utils/SPLIT)
%   partition - partition the SS and df in full-factorial ANOVAs
%
% Reference: Howell, D. C. (1992). Statistical Methods for Psychology.
% Type 'edit anova' and look at the example there.
%
% ANOVA1, ANOVA2, and FCDF are defined in the STATS toolbox.
% SUMSQ depends on SPLIT and AGGREG defined in the GENERAL utils toolbox.
%
%

% Original coding by Alex Petrov, Ohio State University
% $Revision: 1.0 $  $Date: 2002/12/20 $
%
% Part of the utils toolbox version 1.1 for MATLAB version 5 and up.
% http://alexpetrov.com/softw/utils/
% Copyright (c) Alexander Petrov 1999-2006, http://alexpetrov.com
% Please read the LICENSE and NO WARRANTY statement in ../utils_license.m

