% General Utilities Toolbox
% Version 1.3  2006/06/06
%
% This toolbox defines some one-liners that I find myself using over and over
% again. DESCR, SPLIT, and AGGREG in particular have become indispensable.
%
% Extensions to the Matlab programming language:
%   keyargin    - Utility for passing keyword arguments to M-functions.
%   pack_fields - struct array w/simple fields --> 1 struct w/complex f's
%
% Some useful mathematical functions and transforms
%   dB    - Decibel transform: dB(x) = 20*log10(x)
%   dBinv - Inverse decibel transform: dBinv(y) = 10.^(y/20)
%
% Group-based analysis:
%   split  - splits an array of data into groups
%   aggreg - apply a user-specified aggregation function to split groups
%   scatter1 - scatterplot of several color-coded groups
%
% Simple descriptive statistics:
%   descr    - Descriptive statistics (short version)
%   describe - Descriptive statistics (long version)
%   dprime   - Signal-detection theory sensitivity measure
%   acf      - Autocorrelation function.
%   argmin   - Index of the minimal element
%   argmax   - Index of the maximal element
%   harmmean - Harmonic mean
%   combine_measurements - Weighted average, unequal standard dev's
%   truncGauss - Mean and std.dev. of a truncated Gaussian variable
%
% Modeling tools:
%   prior_repetition - Time (and lag) of the most recent repeated stimulus
%   softmax  - Probabilistic temperature-dependent maximum
%   softmax1 - Specialized variant of SOFTMAX for one-dimensional data
%
% Miscellaneous:
%   fprintN  - Call FPRINTF for several files in parallel
%   work_pathstr - path string to the root of the WORK directory-tree
%   file_exists - 1 if a file with FNAME exists and 0 otherwise
%   is_col_vector - True for numeric column vectors, including scalars
%   is_row_vector - True for numeric row vectors, including scalars
%   jitter - add noise to (discrete) data to prevent overlap in plots
%   make_grid - Make a linear grid with N elements, centered on 0
%   subplotrc - put subplot in row r, column c of figure
%   wrap_around - Wrap around a circle with an arbitrary leftmost point
%

% Original coding by Alex Petrov, Ohio State University
% $Revision: 1.3 $  $Date: 2006/06/06 $
%
% Part of the utils toolbox version 1.1 for MATLAB version 5 and up.
% http://alexpetrov.com/softw/utils/
% Copyright (c) Alexander Petrov 1999-2006, http://alexpetrov.com
% Please read the LICENSE and NO WARRANTY statement in ../utils_license.m
